IF NOT EXISTS(select * from RESERVATIONMAIN (NOLOCK) where ReferenceNumber = -3)
	INSERT INTO RESERVATIONMAIN (ReferenceNumber, HOTELNUMBER, ReservationType) 
	VALUES (-3,0,0)

GO

IF NOT EXISTS(select * from RESERVATIONS (NOLOCK) where ReferenceNumber = -3)
	INSERT INTO RESERVATIONS (ReferenceNumber, GuestNumber, Status) 
	VALUES (-3,0,0)

GO

IF NOT EXISTS(select * from RESERVATIONADDRESS (NOLOCK) where AddressNumber = -3)
	INSERT INTO RESERVATIONADDRESS (AddressNumber, ADDRESSTYPE, LASTNAME)
	VAlues (-3,1, 'Occupied')
	
GO

IF NOT EXISTS(select * from RESERVATIONADDRESSXTAB (NOLOCK) where ReferenceNumber = -3)
	INSERT INTO RESERVATIONADDRESSXTAB (REFERENCENUMBER, GUESTNUMBER, ADDRESSNUMBER, AddressTypeNumber)
	VALUES (-3, 0, -3, 1)
	
GO